import 'package:flutter/material.dart';

import 'home.dart';

class levelsDashboard extends StatefulWidget {
  @override
  _levelsDashboardState createState() => _levelsDashboardState();
}

class _levelsDashboardState extends State<levelsDashboard> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backwardsCompatibility: false,
        title: Text("Levels DashBoard"),
      ),
      body: Stack(
        children: <Widget>[
          Container(
              decoration: BoxDecoration(
                  image: DecorationImage(
            alignment: Alignment.topCenter,
            image: AssetImage(
              'lib/assets/images/topHeaderStracker.png',
            ),
          ))),
          SafeArea(
            child: Padding(
              padding: EdgeInsets.all(16.0),
              child: Column(
                children: <Widget>[
                  Container(
                    height: 64,
                    margin: EdgeInsets.only(bottom: 20),
                    child: Row(
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: <Widget>[
                        CircleAvatar(
                          radius: 32,
                          backgroundColor: Colors.transparent,
                          backgroundImage:
                              AssetImage('lib/assets/images/stracker.PNG'),
                        ),
                        SizedBox(
                          width: 16,
                        ),
                        Column(
                          mainAxisAlignment: MainAxisAlignment.center,
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            Text('STracker',
                                style: TextStyle(
                                    fontSize: 35.0, color: Colors.white)),
                          ],
                        )
                      ],
                    ),
                  ),
                  Expanded(
                    child: GridView.count(
                      mainAxisSpacing: 10,
                      crossAxisSpacing: 10,
                      primary: false,
                      crossAxisCount: 2,
                      children: <Widget>[
                        Card(
                            shape: RoundedRectangleBorder(
                                borderRadius: BorderRadius.circular(8)),
                            elevation: 4,
                            child: Column(
                              mainAxisAlignment: MainAxisAlignment.center,
                              children: <Widget>[
                                FlatButton(
                                  onPressed: () {
                                    Navigator.push(
                                      context,
                                      MaterialPageRoute(
                                          builder: (context) => homepage()),
                                    );
                                  },
                                  child: Image.asset(
                                      'lib/assets/images/handWashing.png'),
                                ),
                                Text('Hand Washing',
                                    style: TextStyle(fontSize: 20.0)),
                              ],
                            )),
                        Card(
                            shape: RoundedRectangleBorder(
                                borderRadius: BorderRadius.circular(8)),
                            elevation: 4,
                            child: Column(
                              mainAxisAlignment: MainAxisAlignment.center,
                              children: <Widget>[
                                FlatButton(
                                  // onPressed: () {
                                  //   Navigator.push(
                                  //   context,
                                  //   MaterialPageRoute(builder: (context) => EAnalyzerDash()),
                                  // );
                                  // },
                                  child: Image.asset(
                                      'lib/assets/images/maskWearing.png'),
                                ),
                                Text('Mask Wearing',
                                    style: TextStyle(fontSize: 20.0))
                              ],
                            )),
                        Card(
                            shape: RoundedRectangleBorder(
                                borderRadius: BorderRadius.circular(8)),
                            elevation: 4,
                            child: Column(
                              mainAxisAlignment: MainAxisAlignment.center,
                              children: <Widget>[
                                FlatButton(
                                  // onPressed: () {
                                  //   Navigator.push(
                                  //   context,
                                  //   MaterialPageRoute(builder: (context) => EAnalyzerDash()),
                                  // );
                                  // },
                                  child: Image.asset(
                                      'lib/assets/images/socialDistance.png'),
                                ),
                                Text('Socila Distance',
                                    style: TextStyle(fontSize: 20.0))
                              ],
                            )),
                        Card(
                            shape: RoundedRectangleBorder(
                                borderRadius: BorderRadius.circular(8)),
                            elevation: 4,
                            child: Column(
                              mainAxisAlignment: MainAxisAlignment.center,
                              children: <Widget>[
                                FlatButton(
                                  // onPressed: () {
                                  //   Navigator.push(
                                  //   context,
                                  //   MaterialPageRoute(builder: (context) => EAnalyzerDash()),
                                  // );
                                  // },
                                  child: Image.asset(
                                      'lib/assets/images/publicPlaces.png'),
                                ),
                                Text('Public Places',
                                    style: TextStyle(fontSize: 20.0))
                              ],
                            )),
                        Card(
                            shape: RoundedRectangleBorder(
                                borderRadius: BorderRadius.circular(8)),
                            elevation: 4,
                            child: Column(
                              mainAxisAlignment: MainAxisAlignment.center,
                              children: <Widget>[
                                FlatButton(
                                  // onPressed: () {
                                  //   Navigator.push(
                                  //   context,
                                  //   MaterialPageRoute(builder: (context) => EAnalyzerDash()),
                                  // );
                                  // },
                                  child: Image.asset(
                                      'lib/assets/images/symptoms.png'),
                                ),
                                Text('Symptoms',
                                    style: TextStyle(fontSize: 20.0))
                              ],
                            )),
                      ],
                    ),
                  )
                ],
              ),
            ),
          )
        ],
      ),
    );
  }
}
